org.apache.pdfbox.pdmodel.font

## Class PDCIDSystemInfo

- java.lang.Object
- - org.apache.pdfbox.pdmodel.font.PDCIDSystemInfo

All Implemented Interfaces:
  COSObjectable

    public final class PDCIDSystemInfo
    extends Object
    implements COSObjectable

Represents a CIDSystemInfo.

Author:
  John Hewson

### Method Summary

All Methods Instance Methods Concrete Methods
`COSBase` `getCOSObject()` Convert this standard java object to a COS object.
`String` `getOrdering()`
`String` `getRegistry()`
`int` `getSupplement()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getRegistry

    public String getRegistry()

#### getOrdering

    public String getOrdering()

#### getSupplement

    public int getSupplement()

#### getCOSObject

    public COSBase getCOSObject()

Description copied from interface: `COSObjectable`
Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`